#ifndef _TCP_H_
#define _TCP_H_

/* todo: tcp error codes */
#define TCP_OK          0
#define TCP_ERROR       -1
#define TCP_BADSD       -2
#define TCP_EOF         -3
#define TCP_UNKNOWNSERV -20
#define TCP_UNKNOWNHOST -19

/* functions used by tcplib.c */
int tcp_open(const char *host, const char *port, int type);
int tcp_check(int sd, int sleeptime);
int tcp_accept(int sd, char **host);
int tcp_send(int sd, const char *data, int bytes);
int tcp_recv(int sd, char **data);
int tcp_close(int sd);

/* functions used by tcp.c */
int resolve_service(const char *port, char *protocol, char **service_name);
int is_number(const char *s);
int create_server_socket(const char *host, int port);
int create_client_socket(const char *host, int port);

#define MAX_QUEUED_CONNECTIONS 8

#define BUFFER_SIZE BUFSIZ /* where is bufsiz??? */

#endif
